Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.iview.igraph
Class ExpansionModel

    java.lang.Object
      lt.monarch.graph.AbstractGraphModel
          ix.iview.igraph.ExpansionModel

All Implemented Interfaces:
  lt.monarch.graph.GraphModel

    public class ExpansionModel

extends lt.monarch.graph.AbstractGraphModel

graph model for the electrical demo

Nested Class Summary
`(package private) static class` | `ExpansionModel.NodeComponent`
`(package private) static class` | `ExpansionModel.Pin`

Field Summary
`UIRefinement` | `currentAction`
`ActionEditorPanel` | `editor`

Constructor Summary
`ExpansionModel()`
`ExpansionModel(UIRefinement uir)`

Method Summary
`void` | `addLink(java.lang.Object o1, java.lang.Object o2)`
`java.lang.Object` | `addNewNode()` Called when a node is added by the user.
`java.lang.Object` | `addNode(UINodeSpec node)`
`void` | `deleteAllNodeViews()`
`void` | `deleteNode(NodeSpec node)`
`void` | `deleteNodeView(ExpansionModel.NodeComponent node)`
`void` | `expandNode(ExpansionModel.NodeComponent node)`
`protected ExpansionModel.NodeComponent` | `findNode(java.lang.Object o)` Finds the NodeComponent referenced by the given object.
`protected void` | `fireLinkAdded(java.lang.Object p1, java.lang.Object p2)`
`protected void` | `fireLinkRemoved(java.lang.Object p1, java.lang.Object p2)`
`java.util.Iterator` | `getLinksFrom(java.lang.Object p)`
`lt.monarch.graph.plugins.LinkDragStrategy` | `getLinkStrategy()`
`java.util.Iterator` | `getNodes()`
`protected void` | `loadLink(java.lang.Object o)`
`void` | `setAction(UIRefinement uir)`
`void` | `setPanel(ActionEditorPanel p)`
`void` | `updateAction()` Updates the current action from the graph
`void` | `updateAction(UIRefinement uir)` Updates the given action from the graph

Methods inherited from class lt.monarch.graph.AbstractGraphModel
`addModelListener, fireModelChanged, fireNodeAdded, fireNodeChanged, fireNodeRemoved, removeModelListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### currentAction

    public UIRefinement currentAction

### editor

    public ActionEditorPanel editor

Constructor Detail

### ExpansionModel

    public ExpansionModel(UIRefinement uir)

### ExpansionModel

    public ExpansionModel()

Method Detail

### setPanel

    public void setPanel(ActionEditorPanel p)

### setAction

    public void setAction(UIRefinement uir)

### updateAction

    public void updateAction()

  Updates the current action from the graph

### updateAction

    public void updateAction(UIRefinement uir)

  Updates the given action from the graph

### expandNode

    public void expandNode(ExpansionModel.NodeComponent node)

### loadLink

    protected void loadLink(java.lang.Object o)
                     throws java.lang.RuntimeException

  Throws:
    `java.lang.RuntimeException`

### findNode

    protected ExpansionModel.NodeComponent findNode(java.lang.Object o)

  Finds the NodeComponent referenced by the given object.

### getNodes

    public java.util.Iterator getNodes()

  Specified by:
    `getNodes` in interface `lt.monarch.graph.GraphModel`
  Specified by:
    `getNodes` in class `lt.monarch.graph.AbstractGraphModel`

### getLinksFrom

    public java.util.Iterator getLinksFrom(java.lang.Object p)

  Specified by:
    `getLinksFrom` in interface `lt.monarch.graph.GraphModel`
  Specified by:
    `getLinksFrom` in class `lt.monarch.graph.AbstractGraphModel`

### fireLinkRemoved

    protected void fireLinkRemoved(java.lang.Object p1,
                                   java.lang.Object p2)

  Overrides:
    `fireLinkRemoved` in class `lt.monarch.graph.AbstractGraphModel`

### fireLinkAdded

    protected void fireLinkAdded(java.lang.Object p1,
                                 java.lang.Object p2)

  Overrides:
    `fireLinkAdded` in class `lt.monarch.graph.AbstractGraphModel`

### addLink

    public void addLink(java.lang.Object o1,
                        java.lang.Object o2)

### getLinkStrategy

    public lt.monarch.graph.plugins.LinkDragStrategy getLinkStrategy()

### addNewNode

    public java.lang.Object addNewNode()

  Called when a node is added by the user.

### addNode

    public java.lang.Object addNode(UINodeSpec node)

### deleteNode

    public void deleteNode(NodeSpec node)

### deleteNodeView

    public void deleteNodeView(ExpansionModel.NodeComponent node)

### deleteAllNodeViews

    public void deleteAllNodeViews()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD